cgIsStateAssignment(3)

NAME
cgIsStateAssignment - determine if a state assignment handle references a valid Cg state assignment

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsStateAssignment( CGstateassignment sa );

PARAMETERS

sa  The state assignment handle to check.

RETURN VALUES
Returns CG_TRUE if sa references a valid state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsStateAssignment returns CG_TRUE if sa references a valid state assignment, CG_FALSE otherwise.

EXAMPLES
  if (cgIsStateAssignment(sa)) {
    /* do something with sa */
  } else {
    /* handle situation where sa is not a valid state assignment */
  }

ERRORS
None.

HISTORY
cgIsStateAssignment was introduced in Cg 1.4.

SEE ALSO
cgCreateStateAssignment, cgCreateStateAssignmentIndex, cgGetFirstStateAssignment, cgGetFirstSamplerStateAssignment, cgGetNamedStateAssignment, cgGetNamedSamplerStateAssignment, cgGetNextStateAssignment, cgGetStateAssignmentIndex, cgGetStateAssignmentPass, cgGetStateAssignmentState